| Irrlicht 3D Engine |

Namespaces | Functions
coreutil.h File Reference

File containing useful basic utility functions. More...

`#include "irrString.h"`
`#include "path.h"`

Go to the source code of this file.

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::core

    Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.

## Functions

- io::path & irr::core::cutFilenameExtension (io::path &dest, const io::path &source)
    cut the filename extension from a source file path and store it in a dest file path
- io::path & irr::core::deletePathFromFilename (io::path &filename)
    delete path from filename
- io::path & irr::core::deletePathFromPath (io::path &filename, s32 pathCount)
    trim paths
- io::path & irr::core::getFileNameExtension (io::path &dest, const io::path &source)
    get the filename extension from a file path
- bool irr::core::hasFileExtension (const io::path &filename, const io::path &ext0, const io::path &ext1="", const io::path &ext2="")
    search if a filename has a proper extension
- s32 irr::core::isdigit (s32 c)
    some standard function ( to remove dependencies )
- s32 irr::core::isFileExtension (const io::path &filename, const io::path &ext0, const io::path &ext1, const io::path &ext2)
    search if a filename has a proper extension
- s32 irr::core::isInSameDirectory (const io::path &path, const io::path &file)
- s32 irr::core::isspace (s32 c)
- s32 irr::core::isupper (s32 c)

## Detailed Description

File containing useful basic utility functions.

Definition in file coreutil.h.